import org.junit.Assert;
import org.junit.Test;

public class FizzBuzzTest {

    @Test
    public void fizz(){
        // Given
        FizzBuzz fizzbuzz = new FizzBuzz();
        int x = 9;
        String expected = "Fizz";

        // When
        String actual = fizzbuzz.divide(x);

        // Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void buzz(){
        // Given
        FizzBuzz fizzbuzz = new FizzBuzz();
        int x = 10;
        String expected = "Buzz";

        // When
        String actual = fizzbuzz.divide(x);

        // Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void fizzAndBuzz(){
        // Given
        FizzBuzz fizzbuzz = new FizzBuzz();
        int x = 15;
        String expected = "FizzBuzz";

        // When
        String actual = fizzbuzz.divide(x);

        // Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void numberNotFizzBuzz(){
        // Given
        FizzBuzz fizzbuzz = new FizzBuzz();
        int x = 16;
        String expected = "16";

        // When
        String actual = fizzbuzz.divide(x);

        // Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void numberNotFizzBuzz2(){
        // Given
        FizzBuzz fizzbuzz = new FizzBuzz();
        int x = 2;
        String expected = "2";

        // When
        String actual = fizzbuzz.divide(x);

        // Then
        Assert.assertEquals(expected, actual);
    }
}
